Package org.eclipse.osgi.service.resolver

# Class ResolverHookException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.osgi.service.resolver.ResolverHookException

All Implemented Interfaces:
  `Serializable`

public class ResolverHookException extends RuntimeException
A runtime exception thrown by a resolver to indicate that a resolver hook threw an unexpected exception and the resolve operation terminated.

Since:
  3.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResolverHookException(String message, Throwable cause)`
Constructs a new resolver hook exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolverHookException

public ResolverHookException(String message, Throwable cause)
Constructs a new resolver hook exception.

Parameters:
  `message` - the message of the exception
  `cause` - the cause of the exception